Sphinx 3 autodoc no longer accepts autodoc_default_flags and autodoc_default_options should be used

5 jobs for master in 7 minutes and 10 seconds (queued for 1 minute and 14 seconds)
Status Job ID Name Coverage
  Build
failed #216362
docker
build_linux_36

00:03:42

failed #216363
docker
build_linux_37

00:03:45

failed #216360
macosx
build_macosx_36

00:03:10

failed #216361
macosx
build_macosx_37

00:03:15

 
  Deploy
skipped #216364
docker
deploy_beta
 
Name Stage Failure
failed
build_macosx_37 Build
    raise DependencyNeedsBuildingError(exc, subdir=subdir)
conda_build.exceptions.DependencyNeedsBuildingError: Unsatisfiable dependencies for platform osx-64: {"click[version='>=7.0,<8.0a0|>=7.1.1,<8.0a0|>=7.1.2,<8.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.8,<3.9.0a0|>=3.9,<3.10.0a0']", "python[version='>=3.8,<3.9.0a0|>=3.9,<3.10.0a0']", "libcxx[version='>=10.0.0|>=4.0.1']", "boost[version='1.61.*|>=1.65.1,<1.65.2.0a0|>=1.67.0,<1.67.1.0a0|>=1.73.0,<1.73.1.0a0']", "libboost[version='>=1.73.0,<1.73.1.0a0',build=ha68ee2f_10]", "bob.math[version='>=3.1.1,<4.0a0|>=3.1.2,<4.0a0|>=3.1.3,<4.0a0|>=3.1.4,<4.0a0|>=3.1.5,<4.0a0|>=3.1.7,<4.0a0|>=3.1.8b.0,<4.0a0']", 'ca-certificates', 'libboost==1.73.0=ha68ee2f_10', "bob.blitz[version='>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17,<3.0a0|>=2.0.18,<3.0a0|>=2.0.19,<3.0a0|>=2.0.20,<3.0a0|>=2.0.21,<3.0a0|>=2.0.22,<3.0a0|>=2.0.23b.0,<3.0a0']", "bob.core[version='>=2.2.0,<3.0a0|>=2.2.1,<3.0a0|>=2.2.2,<3.0a0|>=2.2.3,<3.0a0|>=2.2.4,<3.0a0|>=2.2.5,<3.0a0|>=2.2.6,<3.0a0|>=2.2.7b.0,<3.0a0']", "click[version='>=3.0']", "libcxxabi==4.0.1[build='hcfea43d_1|hebd6815_0']", "python[version='>=3.6,<3.7.0a0|>=3.8,<3.9.0a0|>=3.7,<3.8.0a0']", "boost[version='>=1.73.0,<1.73.1.0a0']", "bob.extension[version='>2.0.4|>=2.5.0,<3.0a0|>=3.1.0,<4.0a0|>=3.1.1,<4.0a0|>=3.2.0,<4.0a0|>=4.0.0,<5.0a0|>=5.0.1,<6.0a0|>=5.0.2b.0,<6.0a0']", "numpy[version='1.11.*|1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.9.3,<2.0a0']", "libblitz[version='0.10|0.10.*|>=1.0.1,<1.0.2.0a0']", "numpy[version='1.11.*|>=1.17.4,<2.0a0']", 'numpy=1.11', "numpy[version='1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.9.3,<2.0a0']", "python[version='2.7.*|3.5.*|3.6.*|>=2.7,<2.8.0a0|>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|3.4.*']", "bob.core[version='>=2.2.0,<3.0a0|>=2.2.1,<3.0a0|>=2.2.2,<3.0a0|>=2.2.3,<3.0a0|>=2.2.4,<3.0a0|>=2.2.6,<3.0a0|>=2.2.7b.0,<3.0a0']", "boost[version='1.61.*|>=1.65.1,<1.65.2.0a0|>=1.67.0,<1.67.1.0a0']", "bob.blitz[version='>=2.0.18,<3.0a0|>=2.0.21,<3.0a0']", "numpy[version='1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.17.4,<2.0a0|>=1.9.3,<2.0a0']", "numpy[version='1.11.*|1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.17.4,<2.0a0|>=1.9.3,<2.0a0']", "bob.io.base[version='>=3.0.10b.0,<4.0a0|>=3.0.9,<4.0a0|>=3.0.7,<4.0a0|>=3.0.6,<4.0a0|>=3.0.5,<4.0a0|>=3.0.4,<4.0a0|>=3.0.3,<4.0a0']", "bob.io.base[version='>=3.0.8,<4.0a0']", "libcxx[version='>=10.0.0']", 'libcxx', "bob.core[version='>=2.2.5,<3.0a0']", "bob.extension[version='>=2.5.0,<3.0a0|>=3.1.0,<4.0a0|>=3.1.1,<4.0a0|>=3.1.2,<4.0a0|>=3.2.0,<4.0a0|>=4.0.0,<5.0a0|>=5.0.0,<6.0a0|>=5.0.1,<6.0a0|>=5.0.2b.0,<6.0a0']", 'setuptools', 'python', "numpy[version='>=1.11.3,<2.0a0|>=1.17.4,<2.0a0']", "libboost[version='1.65.1|1.65.1|1.67.0|1.73.0',build='h8182a68_3|hcc95346_4|ha68ee2f_10|hebc422b_4']", "libboost[version='1.65.1|1.65.1|1.67.0',build='h8182a68_3|hcc95346_4|hebc422b_4']", "libcxx[version='>=4.0.1']", 'bob.extension', 'six', "bob.blitz[version='>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17,<3.0a0|>=2.0.19,<3.0a0|>=2.0.20,<3.0a0|>=2.0.22,<3.0a0|>=2.0.23b.0,<3.0a0']", "bob.extension[version='>=3.1.2,<4.0a0|>=5.0.0,<6.0a0']", "numpy[version='1.11.*|>=1.11.3,<2.0a0|>=1.14.6,<2.0a0|>=1.17.4,<2.0a0|>=1.15.1,<2.0a0']", "bob.learn.activation[version='>=2.0.11,<3.0a0|>=2.0.12,<3.0a0|>=2.0.13,<3.0a0|>=2.0.14,<3.0a0|>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17b.0,<3.0a0']"}
Uploading artifacts for failed job
Uploading artifacts...
Runtime platform
arch=amd64 os=darwin pid=16875 revision=ece86343 version=13.5.0
WARNING: coverage.xml: no matching files
ERROR: No files to upload
Cleaning up file based variables
ERROR: Job failed: exit status 1
failed
build_macosx_36 Build
    raise DependencyNeedsBuildingError(exc, subdir=subdir)
conda_build.exceptions.DependencyNeedsBuildingError: Unsatisfiable dependencies for platform osx-64: {"bob.extension[version='>2.0.4|>=2.5.0,<3.0a0|>=3.1.0,<4.0a0|>=3.1.1,<4.0a0|>=3.2.0,<4.0a0|>=4.0.0,<5.0a0|>=5.0.1,<6.0a0|>=5.0.2b.0,<6.0a0']", "bob.core[version='>=2.2.0,<3.0a0|>=2.2.1,<3.0a0|>=2.2.2,<3.0a0|>=2.2.3,<3.0a0|>=2.2.4,<3.0a0|>=2.2.5,<3.0a0|>=2.2.6,<3.0a0|>=2.2.7b.0,<3.0a0']", 'libboost==1.73.0=ha68ee2f_10', 'ca-certificates', "bob.blitz[version='>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17,<3.0a0|>=2.0.18,<3.0a0|>=2.0.19,<3.0a0|>=2.0.20,<3.0a0|>=2.0.21,<3.0a0|>=2.0.22,<3.0a0|>=2.0.23b.0,<3.0a0']", "numpy[version='1.11.*|>=1.11.3,<2.0a0|>=1.14.6,<2.0a0|>=1.17.4,<2.0a0|>=1.15.1,<2.0a0']", 'bob.extension', 'python', "libcxx[version='>=4.0.1']", "bob.learn.activation[version='>=2.0.11,<3.0a0|>=2.0.12,<3.0a0|>=2.0.13,<3.0a0|>=2.0.14,<3.0a0|>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17b.0,<3.0a0']", "py-boost[version='1.65.1|1.67.0',build='py36h6440ff4_4|py37h6440ff4_4|py36h6f59e01_3']", "numpy[version='1.11.*|1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.9.3,<2.0a0']", "bob.blitz[version='>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17,<3.0a0|>=2.0.19,<3.0a0|>=2.0.20,<3.0a0|>=2.0.22,<3.0a0|>=2.0.23b.0,<3.0a0']", "bob.core[version='>=2.2.5,<3.0a0']", "bob.blitz[version='>=2.0.18,<3.0a0|>=2.0.21,<3.0a0']", "numpy[version='1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.17.4,<2.0a0|>=1.9.3,<2.0a0']", "libcxx[version='>=10.0.0|>=4.0.1']", "bob.io.base[version='>=3.0.8,<4.0a0']", "python[version='>=3.8,<3.9.0a0|>=3.9,<3.10.0a0']", 'six', "numpy[version='>=1.11.3,<2.0a0|>=1.17.4,<2.0a0']", "python[version='2.7.*|3.5.*|3.6.*|>=2.7,<2.8.0a0|>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|3.4.*']", "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.8,<3.9.0a0|>=3.9,<3.10.0a0']", "click-plugins[version='>=1.0.4,<2.0a0|>=1.1.1,<2.0a0']", "numpy[version='1.11.*|>=1.17.4,<2.0a0']", "bob.io.base[version='>=3.0.10b.0,<4.0a0|>=3.0.9,<4.0a0|>=3.0.7,<4.0a0|>=3.0.6,<4.0a0|>=3.0.5,<4.0a0|>=3.0.4,<4.0a0|>=3.0.3,<4.0a0']", 'numpy=1.11', "boost[version='1.61.*|>=1.65.1,<1.65.2.0a0|>=1.67.0,<1.67.1.0a0|>=1.73.0,<1.73.1.0a0']", "numpy[version='1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.9.3,<2.0a0']", "bob.math[version='>=3.1.1,<4.0a0|>=3.1.2,<4.0a0|>=3.1.3,<4.0a0|>=3.1.4,<4.0a0|>=3.1.5,<4.0a0|>=3.1.7,<4.0a0|>=3.1.8b.0,<4.0a0']", "libboost[version='>=1.73.0,<1.73.1.0a0',build=ha68ee2f_10]", "python[version='>=3.6,<3.7.0a0|>=3.8,<3.9.0a0|>=3.7,<3.8.0a0']", 'libcxx', "py-boost==1.73.0[build='py37he9a2976_10|py38he9a2976_10|py36he9a2976_10']", "bob.extension[version='>=2.5.0,<3.0a0|>=3.1.0,<4.0a0|>=3.1.1,<4.0a0|>=3.1.2,<4.0a0|>=3.2.0,<4.0a0|>=4.0.0,<5.0a0|>=5.0.0,<6.0a0|>=5.0.1,<6.0a0|>=5.0.2b.0,<6.0a0']", "py-boost[version='1.65.1|1.67.0|1.67.0|1.73.0',build='py37he9a2976_10|py38he9a2976_10|py36he9a2976_10|py36h6440ff4_4|py37h6440ff4_4|py36h6f59e01_3']", "boost[version='>=1.73.0,<1.73.1.0a0']", "boost[version='1.61.*|>=1.65.1,<1.65.2.0a0|>=1.67.0,<1.67.1.0a0']", 'setuptools', "libblitz[version='0.10|0.10.*|>=1.0.1,<1.0.2.0a0']", "bob.extension[version='>=3.1.2,<4.0a0|>=5.0.0,<6.0a0']", "bob.core[version='>=2.2.0,<3.0a0|>=2.2.1,<3.0a0|>=2.2.2,<3.0a0|>=2.2.3,<3.0a0|>=2.2.4,<3.0a0|>=2.2.6,<3.0a0|>=2.2.7b.0,<3.0a0']", "libcxxabi==4.0.1[build='hcfea43d_1|hebd6815_0']"}
Uploading artifacts for failed job
Uploading artifacts...
Runtime platform
arch=amd64 os=darwin pid=15766 revision=ece86343 version=13.5.0
WARNING: coverage.xml: no matching files
ERROR: No files to upload
Cleaning up file based variables
ERROR: Job failed: exit status 1
failed
build_linux_37 Build
  File "/scratch/builds/bob/bob.learn.em/miniconda/lib/python3.7/site-packages/conda_build/environ.py", line 804, in get_install_actions
raise DependencyNeedsBuildingError(exc, subdir=subdir)
conda_build.exceptions.DependencyNeedsBuildingError: Unsatisfiable dependencies for platform linux-64: {"py-boost[version='1.65.1|1.67.0',build='py37h04863e7_4|py36h04863e7_4|py36hff4598c_3']", "boost[version='>=1.73.0,<1.73.1.0a0']", "libblitz[version='0.10|0.10.*|>=1.0.1,<1.0.2.0a0']", "boost[version='1.61.*|>=1.65.1,<1.65.2.0a0|>=1.67.0,<1.67.1.0a0|>=1.73.0,<1.73.1.0a0']", "libgcc-ng[version='>=7.3.0']", 'ca-certificates', "bob.blitz[version='>=2.0.18,<3.0a0|>=2.0.21,<3.0a0']", "bob.io.base[version='>=3.0.8,<4.0a0']", "python[version='>=3.8,<3.9.0a0|>=3.9,<3.10.0a0']", "boost[version='1.61.*|>=1.65.1,<1.65.2.0a0|>=1.67.0,<1.67.1.0a0']", "numpy[version='1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.17.4,<2.0a0|>=1.9.3,<2.0a0']", "numpy[version='1.11.*|>=1.17.4,<2.0a0']", "numpy[version='1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.9.3,<2.0a0']", "python[version='2.7.*|3.5.*|3.6.*|>=2.7,<2.8.0a0|>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|3.4.*']", "numpy[version='1.11.*|>=1.11.3,<2.0a0|>=1.14.6,<2.0a0|>=1.17.4,<2.0a0|>=1.15.1,<2.0a0']", "click-plugins[version='>=1.0.4,<2.0a0|>=1.1.1,<2.0a0']", "bob.extension[version='>=3.1.2,<4.0a0|>=5.0.0,<6.0a0']", "bob.blitz[version='>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17,<3.0a0|>=2.0.18,<3.0a0|>=2.0.19,<3.0a0|>=2.0.20,<3.0a0|>=2.0.21,<3.0a0|>=2.0.22,<3.0a0|>=2.0.23b.0,<3.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.9,<3.10.0a0|>=3.8,<3.9.0a0']", 'python', "numpy[version='>=1.11.3,<2.0a0']", "bob.math[version='>=3.1.1,<4.0a0|>=3.1.2,<4.0a0|>=3.1.3,<4.0a0|>=3.1.4,<4.0a0|>=3.1.5,<4.0a0|>=3.1.7,<4.0a0|>=3.1.8b.0,<4.0a0']", "bob.blitz[version='>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17,<3.0a0|>=2.0.19,<3.0a0|>=2.0.20,<3.0a0|>=2.0.22,<3.0a0|>=2.0.23b.0,<3.0a0']", "py-boost[version='1.65.1|1.67.0|1.67.0|1.73.0',build='py37h962f231_10|py36h962f231_11|py38h962f231_11|py37h962f231_11|py36h962f231_10|py38h962f231_10|py37h04863e7_4|py36h04863e7_4|py36hff4598c_3']", "py-boost==1.73.0[build='py37h962f231_10|py36h962f231_11|py38h962f231_11|py37h962f231_11|py36h962f231_10|py38h962f231_10']", "bob.core[version='>=2.2.0,<3.0a0|>=2.2.1,<3.0a0|>=2.2.2,<3.0a0|>=2.2.3,<3.0a0|>=2.2.4,<3.0a0|>=2.2.5,<3.0a0|>=2.2.6,<3.0a0|>=2.2.7b.0,<3.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.8,<3.9.0a0|>=3.7,<3.8.0a0']", "bob.learn.activation[version='>=2.0.11,<3.0a0|>=2.0.12,<3.0a0|>=2.0.13,<3.0a0|>=2.0.14,<3.0a0|>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17b.0,<3.0a0']", "bob.extension[version='>2.0.4|>=2.5.0,<3.0a0|>=3.1.0,<4.0a0|>=3.1.1,<4.0a0|>=3.2.0,<4.0a0|>=4.0.0,<5.0a0|>=5.0.1,<6.0a0|>=5.0.2b.0,<6.0a0']", "bob.extension[version='>=2.5.0,<3.0a0|>=3.1.0,<4.0a0|>=3.1.1,<4.0a0|>=3.1.2,<4.0a0|>=3.2.0,<4.0a0|>=4.0.0,<5.0a0|>=5.0.0,<6.0a0|>=5.0.1,<6.0a0|>=5.0.2b.0,<6.0a0']", "libgcc-ng[version='>=7.2.0']", 'intel-openmp', "bob.io.base[version='>=3.0.10b.0,<4.0a0|>=3.0.9,<4.0a0|>=3.0.7,<4.0a0|>=3.0.6,<4.0a0|>=3.0.5,<4.0a0|>=3.0.4,<4.0a0|>=3.0.3,<4.0a0']", '_libgcc_mutex=[build=main]', 'bob.extension', "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.8,<3.9.0a0']", "libgcc-ng[version='>=7.2.0|>=7.3.0']", "bob.core[version='>=2.2.5,<3.0a0']", 'numpy=1.11', "numpy[version='1.11.*|1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.17.4,<2.0a0|>=1.9.3,<2.0a0']", "bob.core[version='>=2.2.0,<3.0a0|>=2.2.1,<3.0a0|>=2.2.2,<3.0a0|>=2.2.3,<3.0a0|>=2.2.4,<3.0a0|>=2.2.6,<3.0a0|>=2.2.7b.0,<3.0a0']", 'setuptools'}
Uploading artifacts for failed job
Uploading artifacts...
WARNING: coverage.xml: no matching files
ERROR: No files to upload
Cleaning up file based variables
ERROR: Job failed: exit code 1
failed
build_linux_36 Build
  File "/scratch/builds/bob/bob.learn.em/miniconda/lib/python3.7/site-packages/conda_build/environ.py", line 804, in get_install_actions
raise DependencyNeedsBuildingError(exc, subdir=subdir)
conda_build.exceptions.DependencyNeedsBuildingError: Unsatisfiable dependencies for platform linux-64: {"bob.core[version='>=2.2.5,<3.0a0']", "bob.io.base[version='>=3.0.10b.0,<4.0a0|>=3.0.9,<4.0a0|>=3.0.7,<4.0a0|>=3.0.6,<4.0a0|>=3.0.5,<4.0a0|>=3.0.4,<4.0a0|>=3.0.3,<4.0a0']", "bob.core[version='>=2.2.0,<3.0a0|>=2.2.1,<3.0a0|>=2.2.2,<3.0a0|>=2.2.3,<3.0a0|>=2.2.4,<3.0a0|>=2.2.6,<3.0a0|>=2.2.7b.0,<3.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.8,<3.9.0a0']", "bob.blitz[version='>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17,<3.0a0|>=2.0.18,<3.0a0|>=2.0.19,<3.0a0|>=2.0.20,<3.0a0|>=2.0.21,<3.0a0|>=2.0.22,<3.0a0|>=2.0.23b.0,<3.0a0']", "numpy[version='1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.17.4,<2.0a0|>=1.9.3,<2.0a0']", "boost[version='1.61.*|>=1.65.1,<1.65.2.0a0|>=1.67.0,<1.67.1.0a0|>=1.73.0,<1.73.1.0a0']", "bob.io.base[version='>=3.0.8,<4.0a0']", 'numpy=1.11', "numpy[version='1.11.*|>=1.11.3,<2.0a0|>=1.14.6,<2.0a0|>=1.17.4,<2.0a0|>=1.15.1,<2.0a0']", '_libgcc_mutex=[build=main]', "numpy[version='1.11.*|>=1.17.4,<2.0a0']", "py-boost==1.73.0[build='py38h962f231_10|py37h962f231_11|py38h962f231_11|py36h962f231_11|py36h962f231_10|py37h962f231_10']", "bob.extension[version='>=2.5.0,<3.0a0|>=3.1.0,<4.0a0|>=3.1.1,<4.0a0|>=3.1.2,<4.0a0|>=3.2.0,<4.0a0|>=4.0.0,<5.0a0|>=5.0.0,<6.0a0|>=5.0.1,<6.0a0|>=5.0.2b.0,<6.0a0']", "bob.blitz[version='>=2.0.18,<3.0a0|>=2.0.21,<3.0a0']", "click[version='>=7.0,<8.0a0|>=7.1.1,<8.0a0|>=7.1.2,<8.0a0']", "py-boost[version='1.65.1|1.67.0|1.67.0|1.73.0',build='py36hff4598c_3|py38h962f231_10|py37h962f231_11|py38h962f231_11|py36h962f231_11|py36h962f231_10|py37h962f231_10|py37h04863e7_4|py36h04863e7_4']", "python[version='>=3.6,<3.7.0a0|>=3.8,<3.9.0a0|>=3.7,<3.8.0a0']", "numpy[version='1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.9.3,<2.0a0']", 'ca-certificates', "bob.learn.activation[version='>=2.0.11,<3.0a0|>=2.0.12,<3.0a0|>=2.0.13,<3.0a0|>=2.0.14,<3.0a0|>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17b.0,<3.0a0']", 'python', "bob.blitz[version='>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17,<3.0a0|>=2.0.19,<3.0a0|>=2.0.20,<3.0a0|>=2.0.22,<3.0a0|>=2.0.23b.0,<3.0a0']", "boost[version='>=1.73.0,<1.73.1.0a0']", 'setuptools', "python[version='>=3.8,<3.9.0a0|>=3.9,<3.10.0a0']", "libgcc-ng[version='>=7.2.0']", "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.9,<3.10.0a0|>=3.8,<3.9.0a0']", "click[version='>=3.0']", 'six', "numpy[version='>=1.11.3,<2.0a0']", "python[version='2.7.*|3.5.*|3.6.*|>=2.7,<2.8.0a0|>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|3.4.*']", "libgcc-ng[version='>=7.2.0|>=7.3.0']", "py-boost[version='1.65.1|1.67.0',build='py36hff4598c_3|py36h04863e7_4|py37h04863e7_4']", "boost[version='1.61.*|>=1.65.1,<1.65.2.0a0|>=1.67.0,<1.67.1.0a0']", "numpy[version='1.11.*|1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.17.4,<2.0a0|>=1.9.3,<2.0a0']", "bob.math[version='>=3.1.1,<4.0a0|>=3.1.2,<4.0a0|>=3.1.3,<4.0a0|>=3.1.4,<4.0a0|>=3.1.5,<4.0a0|>=3.1.7,<4.0a0|>=3.1.8b.0,<4.0a0']", "libblitz[version='0.10|0.10.*|>=1.0.1,<1.0.2.0a0']", "bob.extension[version='>2.0.4|>=2.5.0,<3.0a0|>=3.1.0,<4.0a0|>=3.1.1,<4.0a0|>=3.2.0,<4.0a0|>=4.0.0,<5.0a0|>=5.0.1,<6.0a0|>=5.0.2b.0,<6.0a0']", "libgcc-ng[version='>=7.3.0']", "bob.core[version='>=2.2.0,<3.0a0|>=2.2.1,<3.0a0|>=2.2.2,<3.0a0|>=2.2.3,<3.0a0|>=2.2.4,<3.0a0|>=2.2.5,<3.0a0|>=2.2.6,<3.0a0|>=2.2.7b.0,<3.0a0']", "bob.extension[version='>=3.1.2,<4.0a0|>=5.0.0,<6.0a0']"}
Uploading artifacts for failed job
Uploading artifacts...
WARNING: coverage.xml: no matching files
ERROR: No files to upload
Cleaning up file based variables
ERROR: Job failed: exit code 1